<?php 
require('includes/header.php');  
?>	

<!--begin::Content-->
<div class="content d-flex flex-column flex-column-fluid" id="kt_content">
	<!--begin::Subheader-->
	<div class="subheader py-2 py-lg-4 subheader-solid" id="kt_subheader">
		<div class="container-fluid d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
			<!--begin::Info-->
			<div class="d-flex align-items-center flex-wrap mr-2">
				<!--begin::Page Title-->
				<h5 class="text-dark font-weight-bold mt-2 mb-2 mr-5">Pengurusan Aduan</h5>
				<!--end::Page Title-->
				<!--begin::Actions-->
				<div class="subheader-separator subheader-separator-ver mt-2 mb-2 mr-4 bg-gray-200"></div>
			</div>
			<!--end::Info-->
		</div>
	</div>
	<!--end::Subheader-->
	<!--begin::Entry-->
	<div class="d-flex flex-column-fluid">
		<!--begin::Container-->
		<div class="container">
			<div class="accordion accordion-solid accordion-panel accordion-svg-toggle" id="accordionExample8">
				<div class="card">
					<div class="card-header" id="headingThree8">
						<div class="card-title collapsed" data-toggle="collapse" data-target="#collapseThree8">
							<div class="card-label">													
								<span class="svg-icon svg-icon-primary menu-icon">
									<?=$Tapisanhome_svg?>
								</span>Tapisan</div>
							<span class="svg-icon">
								<?=$Tapisan_svg?>
							</span>
						</div>
					</div>
					<div id="collapseThree8" class="collapse" data-parent="#accordionExample8">
						<div class="card-body">
							<?php
								createDropDown($PDO, 'Jenis Aduan', 'i_jenisaduan', 'jenis_sc', $indicator_List['id_jenisaduan'], 'Semua Jenis Aduan', 6, 2, 12, $readonly);
								createDropDown($PDO, 'Status Aduan', 'i_statusaduan', 'status_sc', 1, 'Semua Status Aduan', 6, 2, 12, $readonly);
							?>
						</div>
					</div>
				</div>
			</div>
			<!--begin::Row-->
			<div class="row">
				<?php
					$tbColumn = array();
					$tbColumn[] = array('Bil', 15);
					$tbColumn[] = array('Tarikh Aduan', 15);
					$tbColumn[] = array('Nama Pengadu', 30);
					$tbColumn[] = array('Tajuk', 30);
					$tbColumn[] = array('Jenis Aduan', 15);
					$tbColumn[] = array('Status Aduan', 15);
					$tbColumn[] = array('Tindakan', 0);
					
					$userBtn = '';
					if($my_details->user_level == 10)
					{
						$userBtn = '<a class="btn btn-primary font-weight-bolder" onclick="loadMyModal(\''.$base_name.'-tambah.php?id=0\', \'#ajax-modal\')"><span class="svg-icon svg-icon-md">'.$tambahBtnSvg.'</span>Cipta Aduan</a>';						
					}
					createTable('indicator_table', $tbColumn, 'Pengurusan Aduan', 'Senarai aduan', 1, $userBtn, 'ajax-modal', 12);
				?>
				
			</div>
			<!--end::Row-->
		</div>
		<!--end::Container-->
	</div>
	<!--end::Entry-->
</div>
<!--end::Content-->
					
<?php 
require('includes/footer.php');
?>


<script>
var ajaxUrl = $('#script_base_name').val() + "-ajax.php";
function getData()
{
	return {
		sqlOnly: 0,
		program: $('#program_sc').val(),
		jenis: $('#jenis_sc').val(),
		status: $('#status_sc').val(),
	};
}

function deleteFunction(id, desk)
{
	Swal.fire({
        title: "Pastikah Anda?",
        text: "Pastikah untuk selesaikan '" + desk + "' ?",
        icon: "warning",
        showCancelButton: true,
        confirmButtonText: "Ya",
		cancelButtonText: "Tidak",
    }).then(function(result) {
		if (result.value) {
			$.ajax({
			   type: "POST",
			   url: $('#script_base_name').val() + "-aktif.php",
			   data: 'id=' + id,
			   
			   success: function(res){
					swal.fire({
						text: "Berjaya selesaikan " + desk + ".",
						icon: "success",
						buttonsStyling: false,
						confirmButtonText: "OK!",
						customClass: {
							confirmButton: "btn font-weight-bold btn-light-primary"
						}
					}).then(function() {
						reloadTable();
					});
			   
			   }
		   });  //end ajax
		}
	});
}

function reloadTable()
{
	reinitTable($('#table_name').val(), this.ajaxUrl, this.getData(), 1, 0);
}

$(document).ready(function(){  

	$('#ajax-modal').on('shown.bs.modal', function () {  // this is to clear modal cache each time modal load
	 $(this).removeData('bs.modal');
	}); 
	
	initTable($('#table_name').val(), ajaxUrl, getData(), 1, 0);
	
	//print function
	$('#printExcel, #printPdf').click(function() {
		printFunc($('#table_name').val(), $(this).attr("value"), "normalPrint.php", $('#script_base_name').val(), $('#table_title').val(), $('#table_header').val());
	});
	
	$('#program_sc,#jenis_sc,#status_sc').change(function(){
		reloadTable();
	});
});
</script>